| GET | /RestApi/translations/projects/statuses |
|---|
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Imports Telerik.Sitefinity.Translations.Model
Namespace Global
Namespace Telerik.Sitefinity.Translations.Model
Public Enum ProjectStatus
NotStarted
Started
Completed
End Enum
End Namespace
Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Public Partial Class GetProjectsStatus
Implements IProjectsFilter
Public Overridable Property SearchText As String Implements IProjectsFilter.SearchText
Public Overridable Property Service As String() Implements IProjectsFilter.Service
Public Overridable Property ProjectStatus As ProjectStatus? Implements IProjectsFilter.ProjectStatus
Public Overridable Property ActualSourceLanguage As String Implements IProjectsFilter.ActualSourceLanguage
Public Overridable Property WithoutSourceLanguage As Boolean Implements IProjectsFilter.WithoutSourceLanguage
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/statuses HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Code":"String","Count":0}]